### Function

# Tracker sparql_escape_uri

#### Declaration [src]

    gchar*
    tracker_sparql_escape_uri (
      const gchar* uri
    )

#### Description [src]

Escapes a string for use as a URI.

#### Parameters

`uri`

  Type: `const gchar*`

  A string to be escaped, following the tracker sparql rules.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly-allocated string holding the result.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.